# $Revision: 1.44 $, $Date: 2011/06/27 10:37:17 $
%define		module		PyOpenGL
Summary:	OpenGL bindings for Python
Summary(pl.UTF-8):	Dowiązania do OpenGL dla Pythona
Name:		python-%{module}
Version:	3.0.1
Release:	4
Epoch:		1
License:	LGPL
Group:		Development/Languages/Python
Source0:	http://downloads.sourceforge.net/pyopengl/%{module}-%{version}.tar.gz
# Source0-md5:	221d4a6a0928fcfeef26751370ec5f52
Source1:	http://downloads.sourceforge.net/pyopengl/%{module}-Demo-%{version}a1.tar.gz
# Source1-md5:	75b66abdf2d0e5003798c0fa12abee6e
URL:		http://pyopengl.sourceforge.net/
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	OpenGL-glut-devel
BuildRequires:	python-numpy-devel
BuildRequires:	python-devel
%pyrequires_eq	python-libs
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
Requires:	python-numpy
Obsoletes:	PyOpenGL
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	libGL.so.1 libGLU.so.1

%description
OpenGL bindings for Python including support for GL extensions, GLU,
WGL, GLUT, GLE, and Tk.

%description -l pl.UTF-8
Dowiązania do OpenGL dla Pythona wraz z rozszerzeniami GL, GLU, WGL,
GLUT, GLE i Tk.

%package examples
Summary:	Demos for PyOpenGL
Summary(pl.UTF-8):	Programy demonstracyjne dla pakietu PyOpenGL
Group:		Development/Languages/Python
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description examples
Demos for PyOpenGL.

%description examples -l pl.UTF-8
Programy demonstracyjne dla pakietu PyOpenGL.

%prep
%setup -q -n %{module}-%{version} -a 1

%build
%{__python} setup.py build

cd %{module}-Demo-%{version}a1
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT

%{__python} setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

cd %{module}-Demo-%{version}a1
%{__python} setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean

rm -rf $RPM_BUILD_ROOT%{py_sitedir}/OpenGL/{Demo,doc}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc PKG-INFO
%{py_sitescriptdir}/OpenGL
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/*.egg-info
%endif

%files examples
%defattr(644,root,root,755)
%{py_sitescriptdir}/PyOpenGL-Demo

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-PyOpenGL.spec,v $
Revision 1.44  2011/06/27 10:37:17  baggins
- rel 4
- R/BR python-numpy

Revision 1.43  2010/07/08 08:33:21  arekm
- release 3

Revision 1.42  2010/05/06 07:32:08  lisu
- reversed, 3.0.1 is final

Revision 1.39  2010/04/23 18:47:23  megabajt
- epoch for internal deps
- release 2

Revision 1.38  2010/03/05 15:32:00  lisu
- up to 3.0.1 (it's final version)
- Epoch 1

Revision 1.37  2009/11/12 08:22:18  lisu
- up to 3.0.1b1

Revision 1.36  2009/08/31 10:23:31  lisu
- remove useless commented lines

Revision 1.35  2009/08/31 09:43:48  lisu
- BR: rpm-pythonprov

Revision 1.34  2009/08/31 09:41:08  lisu
- works fine, rel 1
- remove obsolete TODO

Revision 1.33  2009/08/19 07:22:55  lisu
- up to 3.0.1a3

Revision 1.32  2009/08/05 07:33:38  lisu
- up to 3.0.1a2
- examples updated to 3.0.1a1
- use %%{_ver}%%{_subver} in Version
- python version specific .egg.info

Revision 1.31  2009/06/03 07:09:06  lisu
- up to final 3.0.0
- DEVEL merge
- may not work properly yet

Revision 1.28.2.4  2009/02/16 09:38:21  lisu
- 3.0.0c1 beta version
- add PyOpenGL-Demo
- clean up

Revision 1.28.2.3  2008/12/19 13:11:16  lisu
- BR: rpmbuild(macros) >= 1.219 (for py_postclean macro)

Revision 1.28.2.2  2008/12/18 11:29:14  lisu
- more TODO

Revision 1.28.2.1  2008/12/18 10:53:04  lisu
- up to 3.0.0b8
- python-devel >= 2.5 for .egg-info
- cleaning in %%files section
- optimization

Revision 1.30  2008/12/26 03:16:52  adamg
- previous commit reverted (mistake)

Revision 1.29  2008/12/26 01:52:48  adamg
- updated to 3.0.0b6

Revision 1.28  2008/10/14 06:42:42  arekm
- release 4

Revision 1.27  2008/10/03 17:58:23  arekm
- release 3

Revision 1.26  2007-02-13 08:06:42  glen
- tabs in preamble

Revision 1.25  2007/02/12 01:06:28  baggins
- converted to UTF-8

Revision 1.24  2007/01/02 00:25:46  arekm
- rel 2

Revision 1.23  2006/07/18 11:47:37  qboosh
- added link patch (avoid unnecessary linking with X libs)
- files cleanups, separated -examples

Revision 1.22  2006/07/18 07:51:58  qboosh
- python-numpy -> python-Numeric

Revision 1.21  2005/06/25 21:31:44  saq
- up to 2.0.2.01

Revision 1.20  2005/03/29 20:21:35  troll
- added '-L /usr/X11R6/%%{_lib}' to CFLAGS

Revision 1.19  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.18  2005/02/01 21:23:55  troll
- updated to 2.0.1.09, STBR

Revision 1.17  2004/10/31 20:54:09  paladine
- spaces->tabs
- formatting

Revision 1.16  2004/08/31 15:43:02  darekr
- updated to 2.0.1.08

Revision 1.15  2004/07/28 08:03:17  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.14  2003/11/03 01:06:33  arekm
- updated to 2.0.1.07

Revision 1.13  2003/05/28 13:01:28  malekith
- massive attack: source-md5

Revision 1.12  2003/05/25 06:25:58  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2003/03/10 14:37:09  qboosh
- working Source URL

Revision 1.10  2002/11/30 23:00:26  juandon
- new %%doc

Revision 1.9  2002/04/11 13:45:34  wrobell
- use pyrequires_eq instead of requires_eq macro (massive attack!)

Revision 1.8  2002/02/22 23:29:38  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/02/04 03:28:35  kloczek
- release 2: rebuild against python 2.2 and adapterize spec file.

Revision 1.6  2002/01/26 23:36:20  wrobell
- build requirements and docs fixed

Revision 1.5  2002/01/26 23:07:15  misiek
- it compiles now but %%files are broken

Revision 1.4  2002/01/26 11:25:04  wrobell
- ver. 2.0.0.44 - does not build for me, yet

Revision 1.3  2002/01/26 10:49:55  wrobell
- fixed build requirements
- examples into %{_examplesdir}
- typos

Revision 1.2  2002/01/26 09:40:36  kloczek
- cosmetics.

Revision 1.1  2002/01/25 23:34:44  misiek
- initial pld release (nfy)
